import { Query } from "mongoose";
import * as usersData from "../model/users";
import { BizError } from "../util/bizError";
import * as crypto from 'crypto';

export async function login(loginId, pwd) {
    let userInfo = await usersData.selectUserByLoginId(loginId);
    if (!userInfo) throw new BizError("账号不存在");
    if (userInfo.uPwd != pwd) throw new BizError("密码不正确");
    return userInfo;
}

export async function changePwd(userId:number, uPwd:string) {
    let userInfo = await usersData.selectUserById(userId);
    userInfo.uPwd = uPwd;
    userInfo.save();
    return {msg:"修改成功"};
}

export async function register(uName, loginId, pwd) {

    let userInfo = await usersData.selectUserById(loginId);

    if (userInfo) throw new BizError("登录账号已存在 请重新设置");

    let randomStr = Math.ceil(Math.random()* 10000000) + '' +new Date().valueOf();
    const md5 = crypto.createHash('md5');
    let userId = md5.update(randomStr);
    await usersData.addOnceUser(userId, uName, loginId, pwd);

    //todo 先写死，后面完善
    return {success:true};
}

