import { Schema } from "mongoose";
import { picDB } from "../db/mongo/db_init";


const pictureSchema = new Schema({
    pId: {type: String, index:true},
    uId: {type: String},
    uName: {type: String},
    psdName: {type: String},
    pngName: {type: String},
    chartType:{type:Number, index:true},// 按图表类型分  后续有新的标签类型，就往后加
    createTime:{type:Date, index:true},
    desc:{type:String},//描述
    size:{type:Number},//文件大小 单位: b
});

let pictureModel;

export function initModel() {
    pictureModel = picDB.model('picture', pictureSchema)
}


export async function selectAllPicture() {
    return await pictureModel.find({}).exec();
}

export async function selectPicById(pId) {
    let query = { pId };
    return await pictureModel.find(query).exec();
}


export async function addOncePic(pId, uId, uName, psdName, pngName, chartType, desc, size) {
    let addInfo = {pId, uId, uName, psdName, pngName, chartType, desc, size, createTime:new Date()};
    return await pictureModel.create(addInfo);
}
