import { rejects } from "assert";
import { resolve } from "dns";
import { Schema } from "mongoose";
import { picDB } from "../db/mongo/db_init";

const usersSchema = new Schema({
    uId: {type:String, index: true},    //id
    loginId:{type:String, index:true},//管理员账号 
    uName: {type: String},  //管理员名称
    uPwd: {type: String},   //管理员密码
    uImg: {type: String},   //头像
});


let usersModel;

export function initModel() {
    usersModel = picDB.model('users', usersSchema);
}

export async function selectAllUser() {
    return await usersModel.find({}).exec();
}

export async function selectUserById(uId) {
    let query = {uId: uId};
    return await usersModel.find(query).exec();
}

export async function selectUserByLoginId(loginId) {
    return await usersModel.find( {loginId}).exec();
}

export async function addOnceUser(uId, loginId, uName, uPwd) {
    let userInfo:any = {loginId, uName, uPwd, uId};
    return await usersModel.create(userInfo);
}
