const fs = require('fs');
const multer = require('multer');
const path = require('path');

///过滤
let fileFilter = function (req, file, cb) {
    let acceptableMime = ["image/jpeg", "image/png", "image/jpg", "image/gif"];
    //限制类型
    if (acceptableMime.indexOf(file.mimetype) !== -1) {
        cb(null, true); //通过上传
    } else {
        cb(null, false); //禁止上传
    }
}


let storage = multer.diskStorage({
    //图片上传位置
    destination: path.resolve(__dirname, "/res/up"),
    //上传文件保存的文件名
    filename: function (req, file, cb) {
        //获取后缀
        let extName = file.originalname.slice(file.originalname.lastIndexOf("."));  //.jpg
        //获取名称
        let fileName = Date.now();

        cb(null, fileName + extName); //15132464156.jpg
    }
})

export async function isDirExists(dirpath, isCreateDir) {
    return async (resolve, reject) => {
        if (!fs.existsSync(dirpath)) {  //判断文件夹是否存在
            if (isCreateDir) { //如果不存在就创建
                const res = await createDir(dirpath);
                if (res) {
                    resolve(res);
                } else {
                    reject(res);
                }
            } else {
                resolve(true);
            }
        } else {
            resolve(true);
        }
    }
    
}

export async function createDir(filepath) {
    return async (resolve, reject) => {
        fs.mkdir(filepath, (err) => {
            if (err) {
                console.log(`创建文件夹:${filepath}失败！`);
                reject(err);
            } else {
                console.log(`创建文件夹:${filepath}成功！`);
                resolve(true);
            }
        })
    }
    
}